plot.stamFit {stam} | R Documentation

## Plots for StAM Model Fit

### Description

Overall alpha vs. delta plot as well as nodewise scatter plots on performance/redundancy and specificity/sensitivity.

### Usage

    ## S3 method for class 'stamFit':
    plot(x, outfile = NULL, aclass = NULL, main = NULL,
                 which = 0, res = 72, ps = FALSE, pointsize = 12, ...)

### Arguments

`x` | the object of type stamFit for which the plots are to be drawn
`outfile` | name of output file if postscript or PNG graphics is to be generated. The extension of the file is chosen automatically according to the `ps` argument. The filename is also augmented by suffixses to distinguish the plots generated. If no outfile is specified, an interactive plot is attempted
`aclass` | the name of the phenotype class of interest, usually the disease class
`which` | choose the plot to be generated. 1:alpha vs. delta, 2:nodewise evaluation, 0:both plots in interactive mode, non otherwise.
`main` | the main title of the plot, generated automatically if left blank
`res` | resolution in points per inch
`ps` | if set to TRUE postscript output is generated
`pointsize` | the standard fontsize
`...` | additional arguments to be passed to plot

### Details

If several values for alpha are provided to stam.fit plot.stamFit generates a compound score vs. shrinkage level plot. For each alpha one line is drawn and the best shrinkage (where the minimum is achieved) is marked. In a second pane of the same plot alpha is plotted vs. these best shrinkage levels.

Additionally nodewise scatter plots comparing performance vs. redundancy and sensitivity vs. specificity are generated.

### Author(s)

Claudio Lottaz

### See Also

`stam.fit`

[Package stam version 1.10.0 Index]